# Method: findNearbyPlaces

- [HTTP request](https://developers.google.com/maps/documentation/mobility/location-selection-api/reference/rest/v1beta/TopLevel/findNearbyPlaces#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/maps/documentation/mobility/location-selection-api/reference/rest/v1beta/TopLevel/findNearbyPlaces#body.request_body)
  - [JSON representation](https://developers.google.com/maps/documentation/mobility/location-selection-api/reference/rest/v1beta/TopLevel/findNearbyPlaces#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/maps/documentation/mobility/location-selection-api/reference/rest/v1beta/TopLevel/findNearbyPlaces#body.response_body)
  - [JSON representation](https://developers.google.com/maps/documentation/mobility/location-selection-api/reference/rest/v1beta/TopLevel/findNearbyPlaces#body.FindNearbyPlacesResponse.SCHEMA_REPRESENTATION)

Find nearby places for a given location.

### HTTP request

`POST https://locationselection.googleapis.com/v1beta:findNearbyPlaces`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "localizationPreferences": { object (`https://developers.google.com/maps/documentation/mobility/location-selection-api/reference/rest/v1beta/LocalizationPreferences`) }, "searchLocation": { object (`https://developers.google.com/maps/documentation/mobility/location-selection-api/reference/rest/v1beta/LatLng`) }, "maxResults": integer, "wifiAccessPoints": [ { object (`https://developers.google.com/maps/documentation/mobility/location-selection-api/reference/rest/v1beta/WiFiAccessPoint`) } ] } ``` |

| Fields ||
|---|---|
| `localizationPreferences` | ``object (`https://developers.google.com/maps/documentation/mobility/location-selection-api/reference/rest/v1beta/LocalizationPreferences`)`` Required. Preferences used for localizing the texts in response, for example, name and address. |
| `searchLocation` | ``object (`https://developers.google.com/maps/documentation/mobility/location-selection-api/reference/rest/v1beta/LatLng`)`` Required. Location where places need to be found. |
| `maxResults` | `integer` Required. Maximum number of results to be returned. Must be greater than 0. |
| `wifiAccessPoints[]` | ``object (`https://developers.google.com/maps/documentation/mobility/location-selection-api/reference/rest/v1beta/WiFiAccessPoint`)`` WiFi Access points around the request location. Used to provide higher quality search results. |

### Response body

If successful, the response body contains data with the following structure:
Find nearby places for a given location response message.

| JSON representation |
|---|
| ``` { "placeResults": [ { object (`https://developers.google.com/maps/documentation/mobility/location-selection-api/reference/rest/v1beta/PlaceResult`) } ] } ``` |

| Fields ||
|---|---|
| `placeResults[]` | ``object (`https://developers.google.com/maps/documentation/mobility/location-selection-api/reference/rest/v1beta/PlaceResult`)`` Ordered list of places found. May be empty if no places were found around the request location. Ordering is based on a combination of likelihood and distance. |